| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxPosition Class Reference
Data Structures

`#include <wx/position.h>`

## Detailed Description

This class represents the position of an item in any kind of grid of rows and columns such as wxGridBagSizer, or wxHVScrolledWindow.

##

Library: wxBase
Category: Data Structures

See Also
  wxPoint, wxSize

## Public Member Functions

| wxPosition ()
| Construct a new wxPosition, setting the row and column to the default value of (0, 0).
| wxPosition (int row, int col)
| Construct a new wxPosition, setting the row and column to the value of (row, col).
int | GetCol () const
| A synonym for GetColumn().
int | GetColumn () const
| Get the current row value.
int | GetRow () const
| Get the current row value.
void | SetCol (int column)
| A synonym for SetColumn().
void | SetColumn (int column)
| Set a new column value.
void | SetRow (int row)
| Set a new row value.
Miscellaneous operators
bool | operator== (const wxPosition &pos) const
bool | operator!= (const wxPosition &pos) const
wxPosition & | operator+= (const wxPosition &pos)
wxPosition & | operator-= (const wxPosition &pos)
wxPosition & | operator+= (const wxSize &size)
wxPosition & | operator-= (const wxSize &size)
wxPosition | operator+ (const wxPosition &pos) const
wxPosition | operator- (const wxPosition &pos) const
wxPosition | operator+ (const wxSize &size) const
wxPosition | operator- (const wxSize &size) const

## Constructor & Destructor Documentation

wxPosition::wxPosition | ( |  | ) |

Construct a new wxPosition, setting the row and column to the default value of (0, 0).

wxPosition::wxPosition | ( | int | row,
|  | int | col
| ) |  |

Construct a new wxPosition, setting the row and column to the value of (row, col).

## Member Function Documentation

int wxPosition::GetCol | ( |  | ) | const

A synonym for GetColumn().

int wxPosition::GetColumn | ( |  | ) | const

Get the current row value.

int wxPosition::GetRow | ( |  | ) | const

Get the current row value.

bool wxPosition::operator!= | ( | const wxPosition & | pos | ) | const

wxPosition wxPosition::operator+ | ( | const wxPosition & | pos | ) | const

wxPosition wxPosition::operator+ | ( | const wxSize & | size | ) | const

wxPosition& wxPosition::operator+= | ( | const wxPosition & | pos | ) |

wxPosition& wxPosition::operator+= | ( | const wxSize & | size | ) |

wxPosition wxPosition::operator- | ( | const wxPosition & | pos | ) | const

wxPosition wxPosition::operator- | ( | const wxSize & | size | ) | const

wxPosition& wxPosition::operator-= | ( | const wxPosition & | pos | ) |

wxPosition& wxPosition::operator-= | ( | const wxSize & | size | ) |

bool wxPosition::operator== | ( | const wxPosition & | pos | ) | const

void wxPosition::SetCol | ( | int | column | ) |

A synonym for SetColumn().

void wxPosition::SetColumn | ( | int | column | ) |

Set a new column value.

void wxPosition::SetRow | ( | int | row | ) |

Set a new row value.